Bug 157086 - RFE: notice if scriptlet exits with signal
RFE: notice if scriptlet exits with signal
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-05-06 14:29 EDT by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-11 12:15:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch (625 bytes, patch)
2005-05-06 14:30 EDT, Joe Orton
no flags Details | Diff

  None (edit)
Description Joe Orton 2005-05-06 14:29:15 EDT
RPM will give the confusing output per bug 155701:

error: %post(libgcc-4.0.0-0.42.i386) scriptlet failed, exit status 0

if a scriptlet is terminated by a signal.  It would be nice if it displayed that
as you'd expect.
Comment 1 Joe Orton 2005-05-06 14:30:47 EDT
Created attachment 114092 [details]

Entirely untested uncompiled unreviewed patch for this.  Win more points by
using strsignal and printing the signal name ;)
Comment 2 Paul Nasrat 2005-05-11 12:15:46 EDT
Thanks commited to HEAD and 4.4.x branch.  It'll get pulled in next rpm 4.4.x
branch release.

Note You need to log in before you can comment on or make changes to this bug.